List all plugins in repository
import requests
url = "https://{FUSION HOST}/api/connectors/repository"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/connectors/repository")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/connectors/repository', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/repository")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/repository"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/repository",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION HOST}/api/connectors/repository[
{
"id": "lucidworks.web-v2",
"displayName": "web-v2 (v2)",
"version": "0.0.1",
"sdkVersion": "4.0.0",
"location": "4.0.0/lucidworks.connector.web-v2/1.0.0/lucidworks.connector.web-v2-1.0.0.zip"
},
{
"id": "lucidworks.web-v2",
"displayName": "web-v2 (v2)",
"version": "0.0.3",
"sdkVersion": "4.1.3",
"location": "4.1.3/lucidworks.connector.web-v2/1.3.0/lucidworks.connector.web-v2-1.3.0.zip"
},
{
"id": "lucid.web",
"displayName": "web (classic - deprecated)",
"version": "5.12.0",
"sdkVersion": "5.12.0",
"location": "/classic/apps/connectors/repository-plugins/lucidworks.web-5.12.0.zip"
}
]List all plugins in repository
List the plugins available in the repository, optionally filtering by plugin name or partial name.
GET
/
connectors
/
repository
List all plugins in repository
import requests
url = "https://{FUSION HOST}/api/connectors/repository"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/connectors/repository")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/connectors/repository', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/repository")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/repository"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/repository",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Query Parameters
The plugin name or partial name, to filter the response.
Was this page helpful?
⌘I